[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r1062 - in glibc-package/trunk/debian: . patches



Author: schizo
Date: 2005-12-17 14:43:10 +0000 (Sat, 17 Dec 2005)
New Revision: 1062

Added:
   glibc-package/trunk/debian/patches/sparc-socket-weakalias.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
  * Add patch to fix build failure with __bind and other
    socket-related symbols being already defined on
    sparc.  (Closes: #342755).


Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-12-17 14:38:23 UTC (rev 1061)
+++ glibc-package/trunk/debian/changelog	2005-12-17 14:43:10 UTC (rev 1062)
@@ -3,6 +3,9 @@
   [ Clint Adams ]
   * Remove sparc64 TLS patch, and disable TLS for sparc64 build
     (Closes: #340835, #341514).
+  * Add patch to fix build failure with __bind and other
+    socket-related symbols being already defined on
+    sparc.  (Closes: #342755).
 
   [ Daniel Jacobowitz ]
   * Downgrade priority of amd64 libraries on i386.

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-12-17 14:38:23 UTC (rev 1061)
+++ glibc-package/trunk/debian/patches/00list	2005-12-17 14:43:10 UTC (rev 1062)
@@ -90,3 +90,4 @@
 hppa-iitlbp
 hppa-fenv-align
 eh-frame-terminator
+sparc-socket-weakalias

Added: glibc-package/trunk/debian/patches/sparc-socket-weakalias.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/sparc-socket-weakalias.dpatch	2005-12-17 14:38:23 UTC (rev 1061)
+++ glibc-package/trunk/debian/patches/sparc-socket-weakalias.dpatch	2005-12-17 14:43:10 UTC (rev 1062)
@@ -0,0 +1,72 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Fix __bind redefinition problem
+# DP: Related bugs: 
+# DP: Dpatch author: Clint Adams
+# DP: Patch author: Clint Adams
+# DP: Upstream status: Not Submitted
+# DP: Status Details:
+# DP: Date: 2005-12-10
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+
+--- sysdeps/unix/sysv/linux/sparc/sparc32/socket.S.old	2003-08-31 13:23:11.000000000 -0400
++++ sysdeps/unix/sysv/linux/sparc/sparc32/socket.S	2005-12-10 12:46:23.313930095 -0500
+@@ -40,7 +40,11 @@
+    The .S files for the other calls just #define socket and #include this.  */
+ 
+ #ifndef __socket
+-#define __socket P(__,socket)
++# ifndef NO_WEAK_ALIAS
++#  define __socket P(__,socket)
++# else
++#  define __socket socket
++# endif
+ #endif
+ 
+ .globl __socket
+@@ -105,4 +109,6 @@
+ 
+ END (__socket)
+ 
++#ifndef NO_WEAK_ALIAS
+ weak_alias (__socket, socket)
++#endif
+--- sysdeps/unix/sysv/linux/sparc/sparc64/socket.S.old	2003-08-31 13:23:11.000000000 -0400
++++ sysdeps/unix/sysv/linux/sparc/sparc64/socket.S	2005-12-10 12:46:23.313930095 -0500
+@@ -40,7 +40,11 @@
+    The .S files for the other calls just #define socket and #include this.  */
+ 
+ #ifndef __socket
+-#define __socket P(__,socket)
++# ifndef NO_WEAK_ALIAS
++#  define __socket P(__,socket)
++# else
++#  define __socket socket
++# endif
+ #endif
+ 
+ .globl __socket
+@@ -105,4 +109,6 @@
+ 
+ END (__socket)
+ 
++#ifndef NO_WEAK_ALIAS
+ weak_alias (__socket, socket)
++#endif


Property changes on: glibc-package/trunk/debian/patches/sparc-socket-weakalias.dpatch
___________________________________________________________________
Name: svn:executable
   + *



Reply to: